=== debian/changelog ===
vnstat (1.11-2) unstable; urgency=low

  * Adopt the package. (Closes: #632840)
  * Make sure all build flags are passed to the compiler.
    - Switch to debhelper compat level 9.
    - Update debian_build_system.diff
  * Drop unnecessary changes to Makefile in debian_build_system.diff.
  * Enable parallel building.
  * Pass --fail-missing to dh_install.
  * Add Vcs control fields.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop vnstat.preinst as upgrades from version 1.6 aren't supported anymore.
  * Run the vnstat daemon as its own user.
    - Create the new user and chown the database in postinst.
    - Add pidfile_path.diff to update the pid file path in the config file.
  * Build-depend on libgd-dev instead of libgd2-xpm-dev.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Jun 2013 21:34:53 +0200

vnstat (1.11-1) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * New upstream release.
  * debian/patches/adapt_to_kfreebsd.diff:
    - Removed, applied upstream.
  * debian/patches/debian_build_system.diff,
    debian/patches/fix_manpages.diff:
    - Refresh patches for new upstream release.
  * debian/control:
    - Set Maintainer to Debian QA group.
    - Remove DMUA field.
    - Remove Vcs-* fields.
    - Bump Standards-Version to 3.9.2; no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jul 2011 17:02:51 +0200

vnstat (1.10-2) experimental; urgency=low

  * Update debian/copyright.
  * debian/control: add Vcs-* fields.
  * Enable functionality for GNU/kFreeBSD.  Thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se> for the patch.  Closes: #608963
  * Bump Standards-Version to 3.9.1; no changes required.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 05 Jan 2011 12:48:43 +0000
