=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Iulian Udrea <iulian@ubuntu.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libgd2-xpm-dev
-Standards-Version: 3.8.4
+Maintainer: Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 9), libgd-dev
+Standards-Version: 3.9.4
 Homepage: http://humdi.net/vnstat/
+Vcs-Git: git://anonscm.debian.org/collab-maint/vnstat.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vnstat.git
 
 Package: vnstat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Suggests: vnstati
 Description: console-based network traffic monitor
  vnStat is a network traffic monitor for Linux. It keeps a log of
