=== debian/changelog ===
vnstat (1.12-2) unstable; urgency=medium

  * Fix test failures on non-linux architectures.
    - Add tests_root_group.diff

 -- Felix Geyer <fgeyer@debian.org>  Sat, 06 Sep 2014 11:15:07 +0200

vnstat (1.12-1) unstable; urgency=low

  * New upstream release.
    - Fix: Live traffic meter occasionally showing higher minimum than average
      in end statistics. (Closes: #687812)
    - Fix: Setting locale when none is specified in config. (Closes: #606397)
  * Refresh patches.
  * Build-depend on check for the new test suite.
  * Install the upstream systemd service file. (Closes: #635751)
    - Add systemd_user.diff to run vnstatd as user vnstat like the init script
      does.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 03 Sep 2014 22:55:57 +0200
