## vnstat 1.14

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # bin and man dirs for Linux
-BIN = $(DESTDIR)/usr/bin
-SBIN = $(DESTDIR)/usr/sbin
-MAN = $(DESTDIR)/usr/share/man
+BIN ?= $(DESTDIR)/usr/bin
+SBIN ?= $(DESTDIR)/usr/sbin
+MAN ?= $(DESTDIR)/usr/share/man
+ETC ?= $(DESTDIR)/etc/
 
 # bin and man dirs for *BSD
-BIN_BSD = $(DESTDIR)/usr/local/bin
-SBIN_BSD = $(DESTDIR)/usr/local/sbin
-MAN_BSD = $(DESTDIR)/usr/local/man
+BIN_BSD ?= $(DESTDIR)/usr/local/bin
+SBIN_BSD ?= $(DESTDIR)/usr/local/sbin
+MAN_BSD ?= $(DESTDIR)/usr/local/man
+ETC_BSD ?= $(DESTDIR)/etc
 
 .PHONY: vnstat tests check all clean debug install uninstall bsdinstall bsduninstall dist
 
@@ -58,10 +60,10 @@
 	fi
 
 # install default config if such doesn't exist
-	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
-	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
-	install -d -m 755 $(DESTDIR)/etc; \
-	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
+	@if [ ! -f "$(ETC)/vnstat.conf" ]; \
+	then echo "Installing config to $(ETC)/vnstat.conf"; \
+	install -d -m 755 $(ETC); \
+	install -m 644 cfg/vnstat.conf $(ETC)/vnstat.conf; \
 	fi
 
 # install everything else
@@ -81,7 +83,7 @@
 	then echo install -m 644 man/vnstati.1 $(MAN)/man1; \
 	install -m 644 man/vnstati.1 $(MAN)/man1; \
 	fi
-	
+
 	@if [ -f "$(MAN)/man1/vnstat.1.gz" ]; \
 	then gzip -f9 $(MAN)/man1/vnstat.1; \
 	gzip -f9 $(MAN)/man1/vnstatd.1; \
@@ -118,7 +120,7 @@
 	rm -f $(MAN)/man1/vnstat*
 	rm -f $(MAN)/man5/vnstat*
 	rm -f $(DESTDIR)/etc/cron.d/vnstat
-	rm -f $(DESTDIR)/etc/vnstat.conf
+	rm -f $(ETC)/vnstat.conf
 	rm -f $(DESTDIR)/etc/ppp/ip-up.d/vnstat
 	rm -f $(DESTDIR)/etc/ppp/ip-down.d/vnstat
 
@@ -148,15 +150,19 @@
 	fi
 
 # install default config if such doesn't exist
-	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
-	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
-	install -d -m 755 $(DESTDIR)/etc; \
-	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
-	sed -e 's/lib/db/g' $(DESTDIR)/etc/vnstat.conf >$(DESTDIR)/etc/vnstat.conf.bsd; \
-	mv -f $(DESTDIR)/etc/vnstat.conf.bsd $(DESTDIR)/etc/vnstat.conf; \
-	fi
-
-# update man page	
+	@if [ ! -f "$(ETC_BSD)/vnstat.conf" ]; \
+	then echo "Installing config to $(ETC_BSD)/vnstat.conf"; \
+	install -d -m 755 $(ETC_BSD); \
+	install -m 644 cfg/vnstat.conf $(ETC_BSD)/vnstat.conf; \
+	sed -e 's:/lib/:/db/:g' $(ETC_BSD)/vnstat.conf >$(ETC_BSD)/vnstat.conf.bsd; \
+	mv -f $(ETC_BSD)/vnstat.conf.bsd $(ETC_BSD)/vnstat.conf; \
+	fi
+
+# update man page
+	for m in vnstat.1 vnstati.1 vnstatd.1 vnstat.conf.5; do \
+	sed -e 's:/lib/:/db/:g' man/$$m > man/$$m.tmp; \
+	mv -f man/$$m.tmp man/$$m; \
+	done
 	install -m 644 man/vnstat.1 $(MAN_BSD)/man1
 	install -m 644 man/vnstatd.1 $(MAN_BSD)/man1
 	install -m 644 man/vnstat.conf.5 $(MAN_BSD)/man5
@@ -196,7 +202,7 @@
 	rm -f $(SBIN_BSD)/vnstatd
 	rm -f $(MAN_BSD)/man1/vnstat*
 	rm -f $(MAN_BSD)/man5/vnstat*
-	rm -f $(DESTDIR)/etc/vnstat.conf
+	rm -f $(ETC_BSD)/vnstat.conf
 	@echo "A possible cron entry needs to be removed manually if such exists."
 
 dist: clean
