=== debian/changelog ===
vnstat (1.14-1ubuntu2) xenial; urgency=medium

  * Revert removal of patch from series, now that we have a sufficient version of
    check. This package can be synced when there's a new version in Debian.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 05 Dec 2015 17:43:09 -0500

vnstat (1.14-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Remove link_subunit.diff from series, as it won't be necessary until we
      have check (>= 0.10.0-1).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Nov 2015 17:40:53 -0500

vnstat (1.14-1) unstable; urgency=medium

  * New upstream release.
    - Auto-detects max. bandwidth of interfaces. (Closes: #804868)
  * Drop patches that have been applied upstream:
    - fix_manpages.diff
    - tests_root_group.diff
  * Refrsh debian_build_system.diff.
  * Link against subunit to fix building of the tests.
    - Add link_subunit.diff

 -- Felix Geyer <fgeyer@debian.org>  Sun, 22 Nov 2015 11:28:51 +0100

vnstat (1.12-2.1ubuntu1) xenial; urgency=medium

  * Remove subunit.patch from series, as it won't be necessary until we have
    check (>= 0.10.0-1).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Nov 2015 20:12:55 -0500

vnstat (1.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: undefined reference to `subunit_test_error'":
    add patch from Mathieu Malaterre: link against subunit.
    (Closes: #799822)

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Oct 2015 20:45:11 +0200
