=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Felix Geyer <fgeyer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4)
 Standards-Version: 3.9.5
 Homepage: http://humdi.net/vnstat/
