=== debian/watch ===
version=3
http://humdi.net/vnstat/vnstat-(.*)\.tar\.gz
