## vnstat 1.15

=== debian/changelog ===
vnstat (1.15-2) unstable; urgency=medium

  * Fix Makefile install-data-hook dependency. (Closes: #859712)
    - Add install-ordering.diff, thanks to Adrian Bunk.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 09 Apr 2017 18:27:14 +0200

vnstat (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that are not needed anymore:
    - debian_build_system.diff
    - link_subunit.diff
  * Add missing dependency on lsb-release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Oct 2016 21:08:28 +0200
