=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4)
+Maintainer: Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4), dh-autoreconf | debhelper (>= 9.20160403~)
 Standards-Version: 3.9.5
 Homepage: http://humdi.net/vnstat/
-Vcs-Git: git://anonscm.debian.org/collab-maint/vnstat.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vnstat.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/vnstat.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vnstat.git
 
 Package: vnstat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base
 Suggests: vnstati
 Description: console-based network traffic monitor
  vnStat is a network traffic monitor for Linux. It keeps a log of
