=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with systemd,autoreconf

override_dh_auto_build:
	dh_auto_build -- all

override_dh_install:
	dh_install --fail-missing
