## vnstat 1.18

=== debian/changelog ===
vnstat (1.18-2) unstable; urgency=medium

  * d/tests: fix daily test by using lo interface
  * d/control: move vcs to salsa
  * d/control: update standard version and add Rules-Requires-Root no

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 18:25:17 +0200

vnstat (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

  * debian/
    - vnstat.service: add 3s timeout for auto-restart (Closes: #814542)
    - patches/
      + rebase and drop upstream applied ones
      + (hopefully) fix kfreebsd build warning
    - bump to compat level 11 and standards version 4.1.3
    - watch: switch to github url for encrypted connection
             and check signature
    - vnstat.postinst: do not run chown recursively (thanks to Lintian)
    - upstream/metadata: supply minimal metadata
    - debian/control: use https url for project homepage

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 04 Mar 2018 21:34:00 +0100

vnstat (1.17-1) unstable; urgency=medium

  * New upstream version 1.17 (Closes: #872709)

  * debian/
    - compat: Switch to compat level 10
    - control
      + Set myself as maintainer, many thanks to Felix Geyer for his work
        (Closes: #874387)
      + Bump Standards-Version to 4.1.1
      + Update Build-Depends
    - copyright: format according to
      https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
    - examples: add systemd timer examples
    - gbp.conf: Add configuration
    - patches/
      + Rebase
      + Drop install-ordering, applied upstream
      + Add spelling patch, based on lintian findings
      + add patches for kFreeBSB implicit function declaration
    - postinst: remove version dependency
    - postrm: delete state directory and daemon user upon purge
    - rules
      + Update for compat level 10
      + Enable hardening
      + Add standard c warnings
    - tests/: Add minimal autopkgtest suite
    - vnstat.service: Use proper hook for systemd service

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 06 Oct 2017 17:38:00 +0200
