=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4), dh-autoreconf | debhelper (>= 9.20160403~)
-Standards-Version: 3.9.5
-Homepage: http://humdi.net/vnstat/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/vnstat.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vnstat.git
+Maintainer: Christian Göttsche <cgzones@googlemail.com>
+Build-Depends: debhelper (>= 11), libgd-dev, check
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Homepage: https://humdi.net/vnstat/
+Vcs-Git: https://salsa.debian.org/cgzones-guest/vnstat.git
+Vcs-Browser: https://salsa.debian.org/cgzones-guest/vnstat
 
 Package: vnstat
 Architecture: any
@@ -26,4 +27,3 @@
  vnStat. The image file format is limited to png. All basic outputs
  of vnStat are supported excluding live traffic features.
  The image can be outputted either to a file or to standard output.
-
