=== debian/tests/control ===
Tests: version, loopback
Depends: @
