## vnstat 2.6

=== debian/changelog ===
vnstat (2.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Christian Göttsche ]
  * debian: run wrap-and-sort
  * d/control: bump to std version 4.5.1 (no further changes)
  * d/patches: cherry-pick fitting upstream commits for Bullseye

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 27 Dec 2020 16:37:39 +0100

vnstat (2.6-2) unstable; urgency=medium

  [ Rob Savoury ]
  * d/control: update uploader (Rob Savoury) email address

  [ Christian Göttsche ]
  * d/rules: enable lto/ipo
  * debian: use link instead of systemd alias for service vnstatd
  * debian: switch to debhelper compat level 13
  * d/patches: add patch removing compatibility setting ReadWritePaths
  * d/upstream/metadata: add field Bug-Database
  * d/patches: harden systemd service
  * d/patches: cherry-pick upstream commit to error early on
               unsupported architectures

 -- Christian Göttsche <cgzones@googlemail.com>  Thu, 28 May 2020 16:39:00 +0200

vnstat (2.6-1) unstable; urgency=medium

  * New upstream version 2.6

  * d/control:
    - move vcs to shared salsa/debian repository
    - add Rob Savoury to maintainer team
    - use dephelper-compat dependency instead of d/compat
    - bump to std version 4.5.0 (no further changes)
  * d/salsa-ci.yml: add standard salsa-ci configuration
  * d/copyright: fix artifact, use https and bump to 2020
  * d/postrm: ignore userdel failure
  * d/patches:
    - rebase to v2.6 and drop upstream applied ones
    - handle all occurrences of /var/run in pidfile patch
    - add patch to fix salsa-ci reprotest

 -- Christian Göttsche <cgzones@googlemail.com>  Mon, 20 Jan 2020 23:39:33 +0100

vnstat (2.4-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add d/patches/use-sleep-in-test to work around a failing
    test, observed on s390x and hppa, but can happen anywhere.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 06 Sep 2019 21:43:24 +0200

vnstat (2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.4
    - Image output has been refactored since 1.x versions (Closes: #692330)
    - Single database file avoids issue with new interfaces (Closes: #749019)
    - There is no "--create" interface option in vnstat 2.x (Closes: #881811)
    - Daemon in 2.x handles operations for if-up/down events (Closes: #722534)
    - Daemon in 2.x automatically populates vnstat database (Closes: #668969)
    - Better handling of integer rollover in kernel traffic counters including
      auto-adjust of UpdateInterval based on MaxBandwidth (Closes: #804131)

  * debian/
    - control: bump to Standards version 4.4.0 and compat level 12
      + add libsqlite3-dev build dependency (vnstat 2.x requirement)
      + add Pre-Depends ${misc:Pre-Depends} for vnstat package (Lintian)
    - patches/
      + drop timeout patch (fixed upstream) and rebase pidfile/systemd patches
      + add systemd_man.diff to fix vnstatd man path due file move upstream
    - tests/
      + remove loopback test due no "--create" option with vnstat 2.x
      + add fulltest using similar commands upstream uses for build tests
    - copyright: update entries for maintainers in debian/* files paragraph
                 and change upstream email to the correct current address
    - vnstat.install: change vnstatd man path to reflect upstream change

 -- Rob Savoury <savourytech@use.startmail.com>  Sun, 01 Sep 2019 10:09:33 -0700

vnstat (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Changes by Christian Göttsche
    - d/tests: run as root to fix debci (Closes: #907020)
    - d/control: bump to std version 4.2.1 (no further changes)

 -- Teemu Toivola <tst@iki.fi>  Tue, 23 Jul 2019 00:47:18 +0300
