=== debian/tests/control ===
Tests: version, fulltest
Depends: @
Restrictions: needs-root
