=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" https://github.com/vergoh/vnstat/releases \
    /vergoh/vnstat/releases/download/[^/]+/vnstat-([0-9.]+)\.tar\.gz
